# POST /interaction/v1/interactions/pause/{definitionID}

Pause a journey that’s currently running by specifying its ID. To pause a journey by specifying its external key, use [/interaction/v1/interactions/pause/key:{definitionKey}](/docs/marketing/marketing-cloud/references/mc_rest_interaction/JourneyPauseByDefinitionKey.md) instead.

:::note
This operation only applies to standard journeys. To pause a transactional send journey, use the [messaging/v1/email/definitions/{definitionKey}](/docs/marketing/marketing-cloud/references/mc_rest_transactional_messaging_email?meta=Update%2Bemail%2Bsend%2Bdefinition) endpoint to set the value of the `status` property to `inactive`.
:::

## Required Permission Scope

To use this endpoint to pause journeys, you must have the `Automation | Journeys | Activate/Stop/Pause/Resume/Send/ScheduleActivate` scope.

## URL Parameters

| Name           | Type   | Description                               |
| -------------- | ------ | ----------------------------------------- |
| `definitionID` | string | Required. The ID of the journey to pause. |

## Query Parameters

| Name            | Type    | Description                                                                                                                                                                                        |
| --------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `versionNumber` | integer | The version number of the journey to pause. If the value of the `allVersions` parameter is `false`, this parameter is required.                                                                    |
| `allVersions`   | boolean | Use this parameter to specify whether to pause all versions of the journey. If the value of this parameter is `false`, you must specify a value for `versionNumber`. The default value is `false`. |

## JSON Parameters

The request body can contain a JSON object that contains any of the values in this table.

| Name                                       | Type    | Description                                                                                                                                                                                                                                                                                                                                                      |
| ------------------------------------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ExtendWaitEndDates`                       | boolean | Use this parameter to specify whether to extend the wait periods for Wait by Duration activities while the journey is paused. This parameter applies only to Wait By Duration wait types. If the value is `true`, the wait end date is extended by the number of days specified by `PausedDays`. The default value is `false`.                                   |
| `GuardrailAction`                          | string  | The action to take after the number of days specified by the `PausedDays` property. Possible values: <ul><li>`stop`–Stop the journey when the number of paused days elapses.</li><li>`resume`–Resume the journey when the number of paused days elapses.</li><li>`none`–Do nothing when the number of paused days elapses.</li></ul>The default value is `none`. |
| `PausedDays`                               | integer | The number of days to pause the journey. The default value is `14`.                                                                                                                                                                                                                                                                                              |
| `RetainContactInjectionWhileJourneyPaused` | boolean | Use this parameter to specify how new contacts are handled while the journey is paused. If the value is `true`, new contacts are added to a queue and processed when the journey resumes. If the value is `false`, new contacts are ignored. The default value is `false`.                                                                                       |

## Example Request

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST  /interaction/v1/interactions/pause/YOUR_JOURNEY_ID?versionNumber=4
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ExtendWaitEndDates":false,
    "PausedDays":30,
    "ProcessWaitUntilEvents":true,
    "GuardrailAction":"Resume",
    "RetainContactInjectionWhileJourneyPaused":true
}
```

## Response: No Errors

```
HTTP/1.1 202 Accepted
{
    "status": "Accepted"
}
```

## Response: Missing Version Number

```
HTTP/1.1 400
{
    "message": "AllVersions=true or VersionNumber required.",
    "errorcode": 10005,
    "documentation": ""
}
```

## Response: Invalid Id

```
HTTP/1.1 400
{
    "message": "Must provide a valid ID or Key parameter",
    "errorcode": 10005,
    "documentation": ""
}
```

## Response: No Journey That Can Be Paused Matches the Id

```
HTTP/1.1 400
{
    "message": "An interaction must be in published or unpublished status to be paused.",
    "errorcode": 10000,
    "documentation": ""
}
```

## Response: Runtime Error

```
HTTP/1.1 400
{
    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
    "errorcode": 30000,
    "documentation": ""
}
```

## Response: Empty or Incorrect Authorization Token

```
HTTP/1.1 401
{
    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
    "errorcode": 0,
    "message": "Not Authorized"
}
```
